Subject: Re: Error compiling glib, help?
From: "Gerrit P. Haase" <[email-masked]>
To: Jean Bréfort <[email-masked]>
Cc: Jamil <[email-masked]>, Cygwin <[email-masked]>, Gtk_mailing_list <[email-masked]>
Date: Mon, 17 May 2004 11:13:31 +0200

Jean wrote:

> Le dim 16/05/2004 à 19:20, Jamil a écrit :
>> I am trying to compile the latest version of glib under a CYGWIN/WinXP
>> using NTFS, but I get errors about function's references. I would
>> appreciate if someone would help me fix this problem; here is an error
>> report that more clearly explains what my problem is.
>> 
>> Please note that my intention is to eventually install GTK+ and GTKmm.

>> Error
>> ~~~~~
>> Creating library file: .libs/libgobject-2.0.dll.a
>> libs/gboxed.o(.text+0x57): In function `value_copy':
>> /cygdrive/c/tmp/downloads/GTK+/glib-2.4.1/gobject/gboxed.c:74: undefined
>> reference to `_g_malloc0'
>> libs/gboxed.o(.text+0xd6): In function `gstring_copy':
>> /cygdrive/c/tmp/downloads/GTK+/glib-2.4.1/gobject/gboxed.c:99: undefined
>> reference to `_g_string_new_len'
>> libs/gboxed.o(.text+0xf5): In function `gstring_free':
>> /cygdrive/c/tmp/downloads/GTK+/glib-2.4.1/gobject/gboxed.c:107:
>> undefined reference to `_g_string_free'
>> libs/gboxed.o(.text+0x26a): In function `g_boxed_type_init':
>> /cygdrive/c/tmp/downloads/GTK+/glib-2.4.1/gobject/../glib/gbsearcharray.
>> h:136: undefined reference to `_g_realloc'
>> 
>> //////// NOTE  ////////////
>> **** The same error is displayed for several  *******
>> **** hundreds of functions in different files *******
>> ///////  END  ////////////
>> 
>> collect2: ld returned 1 exit status
>> make[3]: *** [libgobject-2.0.la] Error 1
>> make[2]: *** [all] Error 2
>> make[1]: *** [all-recursive] Error 1
>> make: *** [all] Error 2
>> _______________________________________________

> I have no experience with cygwin, but the problem is that the linker
> does not find libglib-2.0.??? (I do not know the exact name of the file
> in this case). This file should be in glib/.libs.If it does not exist
> (this would be very surprising), go to the glib directory and run make
> to create it. Check it and also check the arguments of the ld command.

There is `-lglib-2.0` missing at the link command line.  Check the
Makefile.am for libgobject: libgobject_2_0_la_LIBADD should include
$(libglib) and then check Makefile if $(libglib) was substituted
correct with $(top_builddir)/glib/libglib-2.0.la and then check if
$(top_builddir)/glib/libglib-2.0.la exists.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/